---
sidebar: auto
---

# Glossary

You may encounter some unfamiliar concepts in the documentation. This section lists the common terms in the documentation for easy access, learning and plugin/theme development.

## layout

- Access: `$page.frontmatter.layout`

Name of the layout component used by the current page.

## frontmatter

- Access: `$page.frontmatter`

Configuration wrapped by `---` in the `markdown` file of the current page, which is generally used to do some page-level configuration. For more details, please see [Front Matter](../guide/frontmatter.md).

## permalink

- Access: `$page.frontmatter.permalink`

Permalinks. For more details, please head [permalinks](../guide/permalinks.md).

## regularPath

- Access: `$page.regularPath`

The current page is based on the URL generated by the directory structure.

::: tip
When dynamically generating routes during the build period, a page's URL (`$page.path`) will use `$page.frontmatter.permalink` first, and if it doesn't exist, it will be downgraded to `$page.regularPath`.
:::

## headers

- Access: `$page.headers`

That is, those titles defined by one or more `#` in `markdown`.

## siteConfig

- Access: `$site | Context.siteConfig`

`.vuepress/config.js`, i.e., `site configuration`。

## themeConfig

- Access: `$themeConfig | Context.themeConfig`

Value of `themeConfig` in `.vuepress/config.js`, i.e., user's theme configuration.

## themePath

- Access: `Context.themeAPI.theme.path`

Root path (absolute path) of the currently used theme.

## themeEntry

- Access: `Context.themeAPI.theme.entry`

Theme's configuration file - `themePath/index.js`.

## parentThemePath

- Access: `Context.themeAPI.parentTheme.path`

If the current theme is a derived theme, `parentThemePath` refers to the absolute path of the parent theme.

## parentThemeEntry

- Access: `Context.themeAPI.parentTheme.entry`

If the current theme is a derived theme, `parentThemePath` refers to the theme configuration of the parent theme.

